#include <bits/stdc++.h>
using namespace std;

const int MAXN=6001;
const long long INF=1e16;
int T;
long long N, A, B;
long long dp[MAXN][MAXN];

void FastIO()
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
}

void Read()
{
   cin >> T;
}

void Query()
{
    long long ans=INF;
    set<int> Current, Past;

    for(int i=0; i<=N; i++)
    {
        for(int j=0; j<=N; j++)
        {
            dp[i][j]=INF;
        }
    }

    dp[0][0]=0;
    Past.insert(0);

    for(int i=1; i<=N; i++)
    {
        for(int j=1; j<=N; j++)
        {
            for(auto& sum:Past)
            {
                if(sum>j)
                {
                    break;
                }

                dp[i][j]=min(dp[i][j], max(dp[i-1][sum], ((j-sum)-1)*B+A*i));
            }

            if(dp[i][j]!=INF)
            {
                Current.insert(j);
            }

            if(j==N)
            {
                ans=min(ans, dp[i][j]);
            }
        }

        Past=Current;
    }

    cout << ans << '\n';
}

void Solve()
{
    while(T--)
    {
        cin >> N >> A >> B;
        Query();
    }
}

int main()
{
    FastIO();
    Read();
    Solve();
    return 0;
}
