#include <bits/stdc++.h>
using namespace std;

const int MAXN=6001;
const long long INF=1e18;
int T;
long long N, A, B;
int Visited[MAXN][MAXN];
long long dp[MAXN][MAXN];

void FastIO()
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
}

void Read()
{
   cin >> T;
}

long long f(int i, int sum)
{
    if(i<0 || sum<0)
    {
        return INF;
    }

    if(Visited[i][sum]==1)
    {
        return dp[i][sum];
    }

    Visited[i][sum]=1;

    for(int add=1; add<=sum; add++)
    {
        dp[i][sum]=min(dp[i][sum], max(f(i-1, sum-add), (add-1)*B+i*A));
    }

    return dp[i][sum];
}

void Solve()
{
    while(T--)
    {
        cin >> N >> A >> B;

        for(int i=1; i<=N; i++)
        {
            for(int j=1; j<=N; j++)
            {
                dp[i][j]=INF;
                Visited[i][j]=0;
            }
        }

        dp[0][0]=0;
        Visited[0][0]=1;

        long long ans=INF;

        for(int i=1; i<=N; i++)
        {
            ans=min(ans, f(i, N));
        }

        cout << ans << '\n';
    }
}

int main()
{
    FastIO();
    Read();
    Solve();
    return 0;
}
