#include <bits/stdc++.h>
using namespace std;

const int MAXN=200001;
const long long INF=1e16;
int T;
long long N, A, B;

void FastIO()
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
}

void Read()
{
    cin >> T;
}

void Query()
{
    long long ans=INF;
    vector<long long> dp_Current(N+1), dp_New(N+1);

    for(int i=0; i<=N; i++)
    {
        dp_Current[i]=INF;
        dp_New[i]=INF;
    }

    dp_Current[0]=0;


    for(int i=1; i<=N; i++)
    {
        for(int past=N; past>=1; past--)
        {
            for(int j=past*i; j<=N; j++)
            {
                dp_New[j]=min(dp_New[j], max(dp_Current[j-past], (past-1)*B+A*i));

                if(j==N)
                {
                    ans=min(ans, dp_New[j]);
                }
            }
        }

        dp_Current=dp_New;
    }

    cout << ans << '\n';
}

void Solve()
{
    while(T--)
    {
        cin >> N >> A >> B;
        Query();
    }
}

int main()
{
    FastIO();
    Read();
    Solve();
    return 0;
}
