#include <bits/stdc++.h>
using namespace std;

const int MAXN=2*1e9;
const long long INF=1e16;
int T;
long long N, A, B;

void FastIO()
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
}

void Read()
{
    cin >> T;
}

bool check(long long Laundary)
{
    long long M=0;
    long long i=1;

    while(M<N)
    {
        long long cnt=2;

        if(i*A>Laundary)
        {
            return false;
        }

        M++;

        while((cnt-1)*B+i*A<=Laundary)
        {
            cnt++;
            M++;
        }

        i++;
    }

    return true;
}

void Query()
{
    long long l=1, r=1e12;
    long long m;
    long long ans;

    while(l<=r)
    {
        m=(l+r)/2;

        if(check(m))
        {
            ans=m;
            r=m-1;
        }
        else
        {
            l=m+1;
        }
    }

    cout << ans << '\n';
}

void Solve()
{
    while(T--)
    {
        cin >> N >> A >> B;
        Query();
    }
}

int main()
{
    FastIO();
    Read();
    Solve();
    return 0;
}
