#include<bits/stdc++.h>

#define endl '\n'

using namespace std;

typedef long long ll;

const ll MAXN=512;

ll dp[MAXN][MAXN];
ll dpmax[MAXN][MAXN];
ll a[MAXN][MAXN];
ll n,m;
ll ans;

void read()
{
    cin>>n>>m;
    for(ll i=1;i<=n;i++)
    {
        for(ll j=1;j<=m;j++)
        {
            cin>>a[i][j];
        }
    }
}

void clear_dp()
{
    for(ll i=1;i<=n;i++)
    {
        for(ll j=1;j<=m;j++)
        {
            dp[i][j]=0;
            dpmax[i][j]=0;
        }
    }
}

void fill_dp(ll x,ll y)
{
    for(ll i=x;i<=n;i++)
    {
        for(ll j=y;j<=m;j++)
        {
            dp[i][j]=(a[i][j]<0?0:a[i][j])+max(dpmax[i-1][j],dpmax[i][j-1]);
            dpmax[i][j]=max(dpmax[i-1][j],max(dpmax[i][j],dp[i][j]));
        }
    }
    ans+=dp[n][m];
}

void solve()
{
    for(ll i=1;i<=n;i++)
    {
        for(ll j=1;j<=m;j++)
        {
            clear_dp();
            fill_dp(i,j);
        }
    }
    cout<<ans<<endl;
}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);

	read();
	solve();

    return 0;
}
