#include<bits/stdc++.h>

#define endl '\n'

using namespace std;

typedef long long ll;

const ll MAXN=512;
const ll  INF=1e18+10;
const ll  NINF=-1*INF;

ll a[MAXN][MAXN];
ll c[MAXN][MAXN];
ll n,m;
ll ans;

void read()
{
    cin>>n>>m;
    for(ll i=1;i<=n;i++)
    {
        for(ll j=1;j<=m;j++)
        {
            cin>>a[i][j];
            c[i][j]=NINF;
        }
    }
}

void rec(ll sum,ll x,ll y,ll sx,ll sy)
{
    if(x==n&&y==m)
    {
        c[sx][sy]=max(c[sx][sy],sum);
    }
    for(ll i=x;i<=n;i++)
    {
        for(ll j=y;j<=m;j++)
        {
            if(i==x&&j==y)continue;
            rec(sum+a[i][j],i,j,sx,sy);
        }
    }
}

void solve()
{
    for(ll i=1;i<=n;i++)
    {
        for(ll j=1;j<=m;j++)
        {
            rec(a[i][j],i,j,i,j);
        }
    }
}

void find_ans()
{
    ll ans=0;
    for(ll i=1;i<=n;i++)
    {
        for(ll j=1;j<=m;j++)
        {
            ans+=(ll)(c[i][j]);
        }
    }
    cout<<ans<<endl;
}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);

    read();
    solve();
    find_ans();

    return 0;
}
/*
5 5
2 4 2 1 1
1 3 5 1 3
3 2 4 2 2
4 1 5 3 1
2 4 1 5 2
*/
