#include <bits/stdc++.h>
#define ll unsigned long long
#define endl '\n'

using namespace std;

///time = A * group + B * (br_group - 1)

bool check(ll n, ll a, ll b, ll t)
{
    ll groups = 1, rem = n;

    while (rem)
    {
        ll ti = groups * a;

        if (ti > t)
        {
            return 0;
        }

        int br_group = min((t - ti) / b + 1, rem);

        rem -= br_group;
        groups++;
    }

    return 1;
}

void solve(ll n, ll a, ll b)
{
    ll l = 1, r = 1e14;
    ll mid;

    while (l <= r)
    {
        mid = (l + r) / 2;

        if (check(n, a, b, mid))
        {
            r = mid - 1;
        }
        else
        {
            l = mid + 1;
        }
    }

    cout << l << endl;
}

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    int T;

    cin >> T;

    while (T--)
    {
        ll N, A, B;

        cin >> N >> A >> B;

        solve(N, A, B);
    }

    return 0;
}
