#include<bits/stdc++.h>
using namespace std;
#define endl "\n"
const long long INF=-1e18;
long long n, m;
long long ans, crans;
long long dx[3]={-1, -1, 0};
long long dy[3]={0, -1, -1};
long long a[502][502], dist[502][502];
bool used[502][502];
bool ch(long long x, long long y)
{
    if(x>n || y>m || x<1 || y<1) return false;
    if(used[x][y]) return false;
    return true;
}
void bfs(long long i, long long j)
{
    queue<pair<long long, long long>> q;
    q.push({i, j});
    dist[i][j]=a[i][j];
    crans=max(crans, dist[i][j]);
    while(!q.empty())
    {
        pair<long long, long long> curr=q.front();
        q.pop();
        if(used[curr.first][curr.second]) continue;
        used[curr.first][curr.second]=true;
        for(long long k=0; k<3; k++)
        {
            long long x=curr.first+dx[k];
            long long y=curr.second+dy[k];
            if(!ch(x, y)) continue;
            if(dist[curr.first][curr.second]+a[x][y]>dist[x][y])
            {
                dist[x][y]=dist[curr.first][curr.second]+a[x][y];
                q.push({x, y});
            }
        }
    }
}
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cin>>n>>m;
    for(long long i=1; i<=n; i++)
    {
        for(long long j=1; j<=m; j++)
        {
            cin>>a[i][j];
        }
    }
    bfs(n, m);
    for(long long i=1; i<=n; i++)
    {
        for(long long j=1; j<=m; j++)
        {
            dist[i][j]=INF;
        }
    }
    for(long long i=1; i<=n; i++)
    {
        for(long long j=1; j<=m; j++)
        {
            ans+=dist[i][j];
        }
    }
    cout<<ans;
    return 0;
}
